Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.eis.adapters.jms
Class JMSPlatform

`java.lang.Object
DatasourcePlatform
oracle.toplink.eis.EISPlatform
oracle.toplink.eis.adapters.jms.JMSPlatform`

Direct Known Subclasses:
  MQPlatform

public class JMSPlatform
extends EISPlatform

Platform for Oracle JMS JCA adapter.

Since:
  OracleAS TopLink 10g (10.0.3)
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `DESTINATION`
`static java.lang.String` | `DESTINATION_URL`
`static java.lang.String` | `MODE`
`static java.lang.String` | `RECEIVE`
`static java.lang.String` | `REPLY_TO_DESTINATION`
`static java.lang.String` | `REPLY_TO_DESTINATION_URL`
`static java.lang.String` | `SELECTOR`
`static java.lang.String` | `SEND`
`static java.lang.String` | `SEND_RECEIVE`
`static java.lang.String` | `TIMEOUT`

Constructor Summary
`JMSPlatform()` Default constructor.

Method Summary
`javax.resource.cci.InteractionSpec` | `buildInteractionSpec(EISInteraction interaction)` Allow the platform to build the interaction spec based on properties defined in the interaction.
`DatabaseRow` | `createDatabaseRowFromDOMRecord(javax.resource.cci.Record record, EISInteraction call, EISAccessor accessor)` Allow the platform to handle the creation of the DatabaseRow for the DOM record.
`javax.resource.cci.Record` | `createDOMRecord(java.lang.String recordName, EISAccessor accessor)` Allow the platform to handle the creation of the DOM record.
`void` | `setDOMInRecord(org.w3c.dom.Element dom, javax.resource.cci.Record record, EISInteraction call, EISAccessor accessor)` Stores the XML DOM value into the record.

Methods inherited from class oracle.toplink.eis.EISPlatform
`appendParameter, buildRows, createInputRecord, createOutputRecord, getRecordConverter, getValueFromRecord, isDOMRecordSupported, isIndexedRecordSupported, isMappedRecordSupported, requiresAutoCommit, setIsDOMRecordSupported, setIsIndexedRecordSupported, setIsMappedRecordSupported, setRecordConverter, setRequiresAutoCommit, setShouldConvertDataToStrings, setSupportsLocalTransactions, setValueInRecord, shouldConvertDataToStrings, supportsLocalTransactions`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MODE

    public static java.lang.String MODE

### SEND

    public static java.lang.String SEND

### RECEIVE

    public static java.lang.String RECEIVE

### SEND_RECEIVE

    public static java.lang.String SEND_RECEIVE

### SELECTOR

    public static java.lang.String SELECTOR

### TIMEOUT

    public static java.lang.String TIMEOUT

### DESTINATION

    public static java.lang.String DESTINATION

### DESTINATION_URL

    public static java.lang.String DESTINATION_URL

### REPLY_TO_DESTINATION

    public static java.lang.String REPLY_TO_DESTINATION

### REPLY_TO_DESTINATION_URL

    public static java.lang.String REPLY_TO_DESTINATION_URL

Constructor Detail

### JMSPlatform

    public JMSPlatform()

  Default constructor.

Method Detail

### buildInteractionSpec

    public javax.resource.cci.InteractionSpec buildInteractionSpec(EISInteraction interaction)

  Allow the platform to build the interaction spec based on properties defined in the interaction.
  Overrides:
    `buildInteractionSpec` in class `EISPlatform`

### createDOMRecord

    public javax.resource.cci.Record createDOMRecord(java.lang.String recordName,
                                                     EISAccessor accessor)

  Allow the platform to handle the creation of the DOM record. Creates an indexed record (mapped records are not supported).
  Overrides:
    `createDOMRecord` in class `EISPlatform`

### setDOMInRecord

    public void setDOMInRecord(org.w3c.dom.Element dom,
                               javax.resource.cci.Record record,
                               EISInteraction call,
                               EISAccessor accessor)

  Stores the XML DOM value into the record. Convert the DOM to text and add to the indexed record.
  Overrides:
    `setDOMInRecord` in class `EISPlatform`

### createDatabaseRowFromDOMRecord

    public DatabaseRow createDatabaseRowFromDOMRecord(javax.resource.cci.Record record,
                                                      EISInteraction call,
                                                      EISAccessor accessor)

  Allow the platform to handle the creation of the DatabaseRow for the DOM record. Translate the indexed record text into a DOM record.
  Overrides:
    `createDatabaseRowFromDOMRecord` in class `EISPlatform`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD